<?php
 print_r($_POST);
?>
<h1 class="mt-5">Zoznam žiakov na výlete</h1>
<form action="?id=zoznam_ziaci" method="post">
  <input type="text" name="filter" placeholder="Hľadaj zhodu v priezvisku...">
  <button type="submit" class="btn btn-primary">Hľadaj</button>
</form>
<table class="table">
  <thead>
    <tr>
      <th>meno</th>
      <th>priezvisko</th>
      <th>dátum narodenia</th>
      <th>trieda</th>
      <th>jazyk</th>
      <th>predmet</th>
      <th>krúžky</th>
    </tr>
  </thead>
  <tbody>
<?php
  $dopyt = "SELECT meno, priezvisko, DATE_FORMAT(datum_narodenia,'%e.%c.%Y') AS 'dátum narodenia', trieda, nazov_jazyka, nazov_predmetu, GROUP_CONCAT(nazov_kruzku SEPARATOR ', ') AS kruzky FROM ziak
  JOIN jazyk USING(id_jazyk)
  JOIN predmet USING(id_predmet)
  LEFT JOIN ziak_kruzok USING(id_ziak)
  LEFT JOIN kruzok USING(id_kruzok)
  GROUP BY ziak.id_ziak";
  if (isset($_POST['filter']) && strlen($_POST['filter']) > 0) {
    $dopyt = "SELECT meno, priezvisko, DATE_FORMAT(datum_narodenia,'%e.%c.%Y') AS 'dátum narodenia', trieda, nazov_jazyka, nazov_predmetu, GROUP_CONCAT(nazov_kruzku SEPARATOR ', ') AS kruzky FROM ziak
    JOIN jazyk USING(id_jazyk)
    JOIN predmet USING(id_predmet)
    LEFT JOIN ziak_kruzok USING(id_ziak)
    LEFT JOIN kruzok USING(id_kruzok)
    WHERE priezvisko LIKE ?
    GROUP BY ziak.id_ziak";
    $filter = '%' . $_POST['filter'] . '%';
    $select = $mysql -> prepare($dopyt);
    $select->bind_param('s', $filter);
    $select->execute();
    $vysledok = $select->get_result();
  } else {
    $vysledok = $mysql->query($dopyt); //prepare, bind_param, execute a get_result v jednom
  }
  $riadky = $vysledok->fetch_all(MYSQLI_ASSOC);
  foreach($riadky as $riadok) {
    echo "<tr>";
    foreach($riadok as $hodnota) {
      echo "<td>" . $hodnota . "</td>";
    }
    echo "</tr>";
  }
?>    
  </tbody>
</table>